<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>org.apache.commons.configuration2.builder.fluent (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.commons.configuration2.builder.fluent (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/convert/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/fluent/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.apache.commons.configuration2.builder.fluent</h1>
<div class="docSummary">
<div class="block">
 This package defines a fluent API for setting up fully configured configuration
 builders.</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/CombinedBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">CombinedBuilderParameters</a></td>
<td class="colLast">
<div class="block">
 Definition of a parameters interface providing a fluent API for setting all
 properties of a builder for a combined configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/DatabaseBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">DatabaseBuilderParameters</a></td>
<td class="colLast">
<div class="block">
 Definition of a parameters interface providing a fluent API for setting all
 properties for a database configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/FileBasedBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">FileBasedBuilderParameters</a></td>
<td class="colLast">
<div class="block">
 Definition of a parameters interface providing a fluent API for setting all
 properties of a configuration of a file-based configuration builder.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/HierarchicalBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">HierarchicalBuilderParameters</a></td>
<td class="colLast">
<div class="block">
 Definition of a parameters interface providing a fluent API for setting all
 properties for a hierarchical configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/INIBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">INIBuilderParameters</a></td>
<td class="colLast">
<div class="block">
 Definition of a parameters interface providing a fluent API for setting all
 properties for a INI configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/JndiBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">JndiBuilderParameters</a></td>
<td class="colLast">
<div class="block">
 Definition of a parameters interface providing a fluent API for setting all
 properties for a JNDI configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/MultiFileBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">MultiFileBuilderParameters</a></td>
<td class="colLast">
<div class="block">
 Definition of a parameters interface providing a fluent API for setting all
 properties of a builder managing multiple file-based configurations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/PropertiesBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">PropertiesBuilderParameters</a></td>
<td class="colLast">
<div class="block">
 Definition of a parameters interface providing a fluent API for setting all
 properties for a properties configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/XMLBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">XMLBuilderParameters</a></td>
<td class="colLast">
<div class="block">
 Definition of a parameters interface providing a fluent API for setting all
 properties for a XML configuration.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html" title="class in org.apache.commons.configuration2.builder.fluent">Configurations</a></td>
<td class="colLast">
<div class="block">
 A convenience class which simplifies the creation of standard configurations
 and their builders.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Parameters.html" title="class in org.apache.commons.configuration2.builder.fluent">Parameters</a></td>
<td class="colLast">
<div class="block">
 A convenience class for creating parameter objects for initializing
 configuration builder objects.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package org.apache.commons.configuration2.builder.fluent Description">Package org.apache.commons.configuration2.builder.fluent Description</h2>
<div class="block"><p>
 This package defines a fluent API for setting up fully configured configuration
 builders.
 </p>
 <p>
 From a client's point of view the most important class in this package is
 <code>Parameters</code>. An instance can be used to create various parameters
 objects defining the settings for a configuration builder. These objects
 define <code>set</code> methods allowing the manipulation of all available
 initialization properties.
 </p>
 <h3>Important note</h3>
 <p>
 <strong>This package contains a number of interfaces that reflect the
 initialization parameters available for supported configuration implementations.
 These interfaces are not intended to be implemented by client code! When new
 features are added to the represented configuration classes corresponding new
 methods will be added to them. This can happen even in minor releases.</strong>
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: package-info.java 1679793 2015-05-16 17:49:56Z oheger $</dd>
</dl>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/convert/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/fluent/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
